/*
 * Kelvin Wong
 */

@font-face {
    font-family: Gotham;
    src: url(../fonts/Gotham-Medium.otf);
}

@font-face {
    font-family: GothamBook;
    src: url(../fonts/Gotham-Book.otf);
}

:root {
    /* --color-bg: #f0f0f0; */
    /* --color-text: #333; */

    /* Stone */
    /* --color-bg: oklch(97% 0.001 106.424); */
    /* --color-a-bg: oklch(92.3% 0.003 48.717); */
    /* --color-text: oklch(37.4% 0.01 67.558); */

    /* Mauve */
    --color-bg: oklch(92.2% 0.005 325.62);
    --color-a-bg: oklch(86.5% 0.012 325.68);
    --color-text: oklch(36.4% 0.029 323.89);
    --color-secondary-text: oklch(54.2% 0.034 322.5);

    --font-family: GothamBook, sans-serif;
    --font-family-bold: Gotham, sans-serif;

    --space-1: 8px;
    --space-2: 16px;
    --space-3: 24px;
    --space-4: 32px;

    /* --space-5: 24px; */
    /* --space-6: 32px; */

    /* --text-xs: 12px; */
    --text-sm: 14px;
    --text-base: 16px;
    --text-lg: 18px;
    --text-xl: 24px;

    --container-width: 400px;
}

* {
    box-sizing: border-box;
}

body {
    background-color: var(--color-bg);
    color: var(--color-text);
    font-family: var(--font-family);
}

h1 {
    font-family: var(--font-family-bold);
    font-size: var(--text-xl);
    margin-bottom: var(--space-4);
}

h2 {
    color: var(--color-secondary-text);
    font-family: var(--font-family-bold);
    font-size: var(--text-lg);
    margin-bottom: var(--space-3);
}

h3 {
    font-family: var(--font-family-bold);
    font-size: var(--text-base);
    margin-bottom: var(--space-2);
}

h4 {
    font-size: var(--text-sm);
    margin-bottom: var(--space-2);
}

p {
    font-size: var(--text-base);
    line-height: calc(var(--text-base) * 1.75);
    margin-bottom: var(--space-2);
}

a {
    color: var(--color-text);
    font-family: var(--font-family-bold);
    text-decoration: none;
}

a:hover {
    /* background-color: var(--color-a-bg); */
    text-decoration: underline;
    text-decoration-color: var(--color-text);
    text-decoration-thickness: 2px;
    text-underline-offset: 4px;
}

.container {
    margin: 160px auto;
    max-width: var(--container-width);
    padding: 0 32px 0;
}
